alpm-mtree-format(1)

NAME
alpm-mtree-format - Read an MTREE file and return it in another file format

SYNOPSIS
alpm-mtree format [-s|--schema] [-o|--output-format] [-p|--pretty] [-h|--help] [FILE]

DESCRIPTION
Read an MTREE file and return it in another file format

Reads and validates an MTREE file according to a schema and outputs it in another file format (currently, only JSON is supported). If the file can be validated, the program exits with the data returned in another file format on stdout and a return code of 0. If the file can not be validated, an error is emitted on stderr and the program exits with a non-zero exit code.

OPTIONS

-s, --schema <VERSION>
    Provide the MTREE schema version to use. If no schema version is provided, it will be deduced from the file itself. Valid values are ['1', '2'].

-o, --output-format <OUTPUT_FORMAT> [default: json]
    Provide the output format
    Possible values:

    •   json: The JSON output format

-p, --pretty
    Determines whether the output will be displayed in a pretty non-minimized fashion. Only applies to formats that support pretty output, otherwise it's just ignored.

-h, --help
    Print help (see a summary with '-h')

[FILE]
    An optional file to read from. If no file is provided, stdin is used instead.